Skills
GET
/workspaces/{workspaceId}/inbox/skills
List Agent Skills
Abfrageparameter
limit
integer
Limits the number of results to return.
pageToken
string
The cursor that keeps track of the current position in the results.
reverse
boolean
Reverses the order in which the results are returned.
Antwort-Payload
nextPageToken
string
The token to fetch the next page of results. If empty, there are no more results to fetch.
results
array of object
erforderlich
Untergeordnete Attribute anzeigen
results.createdAt
string
erforderlich
results.createdBy
string
erforderlich
results.description
string
erforderlich
results.id
string
erforderlich
results.name
string
erforderlich
results.updatedAt
string
erforderlich
results.updatedBy
string
erforderlich
results.valueType
string
erforderlich
AgentSkillValueType defines how can the Values of a Skill can be selected.
Possible values: single, multiple, boolean
results.values
array of object
erforderlich
Untergeordnete Attribute anzeigen
results.values.createdAt
string
erforderlich
results.values.icon
string
erforderlich
results.values.id
string
erforderlich
results.values.value
string
erforderlich
results.workspaceId
string
erforderlich
Codebeispiel
curl -X GET 'https://api.bird.com/workspaces/{workspaceId}/inbox/skills' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'POST
/workspaces/{workspaceId}/inbox/skills
Create Agent Skill
Anfrage-Payload
name
string
erforderlich
description
string
erforderlich
valueType
string
erforderlich
AgentSkillValueType defines how can the Values of a Skill can be selected.
Possible values: single, multiple, boolean
values
array of object
erforderlich
Untergeordnete Parameter anzeigen
values.value
string
erforderlich
values.icon
string
erforderlich
Antwort-Payload
createdAt
string
erforderlich
createdBy
string
erforderlich
description
string
erforderlich
id
string
erforderlich
name
string
erforderlich
updatedAt
string
erforderlich
updatedBy
string
erforderlich
valueType
string
erforderlich
AgentSkillValueType defines how can the Values of a Skill can be selected.
Possible values: single, multiple, boolean
values
array of object
erforderlich
Untergeordnete Attribute anzeigen
values.createdAt
string
erforderlich
values.icon
string
erforderlich
values.id
string
erforderlich
values.value
string
erforderlich
workspaceId
string
erforderlich
Codebeispiel
curl -X POST 'https://api.bird.com/workspaces/{workspaceId}/inbox/skills' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'GET
/workspaces/{workspaceId}/inbox/skills/{agentSkillId}
Get Agent Skill
Antwort-Payload
createdAt
string
erforderlich
createdBy
string
erforderlich
description
string
erforderlich
id
string
erforderlich
name
string
erforderlich
updatedAt
string
erforderlich
updatedBy
string
erforderlich
valueType
string
erforderlich
AgentSkillValueType defines how can the Values of a Skill can be selected.
Possible values: single, multiple, boolean
values
array of object
erforderlich
Untergeordnete Attribute anzeigen
values.createdAt
string
erforderlich
values.icon
string
erforderlich
values.id
string
erforderlich
values.value
string
erforderlich
workspaceId
string
erforderlich
Codebeispiel
curl -X GET 'https://api.bird.com/workspaces/{workspaceId}/inbox/skills/{agentSkillId}' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'PATCH
/workspaces/{workspaceId}/inbox/skills/{agentSkillId}
Update Agent Skill
Anfrage-Payload
name
string
description
string
valueType
string
AgentSkillValueType defines how can the Values of a Skill can be selected.
Possible values: single, multiple, boolean
values
array of object
Untergeordnete Parameter anzeigen
values.id
string
values.value
string
values.icon
string
values.createdAt
string
Antwort-Payload
createdAt
string
erforderlich
createdBy
string
erforderlich
description
string
erforderlich
id
string
erforderlich
name
string
erforderlich
updatedAt
string
erforderlich
updatedBy
string
erforderlich
valueType
string
erforderlich
AgentSkillValueType defines how can the Values of a Skill can be selected.
Possible values: single, multiple, boolean
values
array of object
erforderlich
Untergeordnete Attribute anzeigen
values.createdAt
string
erforderlich
values.icon
string
erforderlich
values.id
string
erforderlich
values.value
string
erforderlich
workspaceId
string
erforderlich
Codebeispiel
curl -X PATCH 'https://api.bird.com/workspaces/{workspaceId}/inbox/skills/{agentSkillId}' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'DELETE
/workspaces/{workspaceId}/inbox/skills/{agentSkillId}
Delete Agent Skill
Codebeispiel
curl -X DELETE 'https://api.bird.com/workspaces/{workspaceId}/inbox/skills/{agentSkillId}' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'